'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _util = require('./util');

var queue = (0, _util.createErrorQueue)();

process.on('uncaughtException', function (error) {
  queue.invoke(error);
});
process.on('unhandledRejection', function (error, promise) {
  error.promise = promise;
  queue.invoke(error);
});
process.on('warning', function (error) {
  queue.invoke(error);
});

exports.default = function (callback) {
  return queue.addListener(callback);
};